/* $Header: option.h,v 3.1 98/08/13 17:18:26 carl Exp $ */

/************************************************************************
 * Copyright (c) 1998 The Trustees of Princeton University.
 * All rights reserved.
 * 
 * PRINCETON UNIVERSITY MAKES NO REPRESENTATIONS ABOUT THE SUITABILITY OF
 * THIS SOFTWARE FOR ANY PURPOSE.  IT IS PROVIDED "AS IS" WITHOUT EXPRESS
 * OR IMPLIED WARRANTY.  PRINCETON UNIVERSITY SHALL NOT BE LIABLE FOR ANY
 * DAMAGES SUFFERED BY THE USERS OF THIS SOFTWARE.
 ************************************************************************/


#ifndef _OPTION_INCLUDED
#define _OPTION_INCLUDED

typedef struct option {
  int code;
  char *name;
  char type;
  union {
    int ival;
    double dval;
    char *sval;
  } opt_val;
  struct option *next;
} optionstruct, *OPTIONTYPE;

#endif /* _OPTION_INCLUDED */

